
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>SHA-1退休：数千万用户通向加密网站之路被阻 / iVAN</title>

    <meta name="description" content="SHA-1退休：数千万用户通向加密网站之路被阻 Facebook和Cloudflare警告道:上千万用户将无法访问只使用SHA-2签名证书的HTTPS网站. 如果这些网站只使用SHA-2哈希算法进行签名的数字证书,数千万Web用户将再也无法通过HTTPS协议访问这些站点. 该警告来自Facebook和CloudFlare,原因是浏览器厂商在考虑加快老旧又易受攻击的SHA-1函数的退休. 这两家公司已经在他们的站点上部署了支持SHA-1证书的机制,面向的是不支持SHA-2但仍在世界某些地方广泛使用的老版浏览器和操作系统. 这些老旧系统包括Win">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">SHA-1退休：数千万用户通向加密网站之路被阻</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Facebook和Cloudflare警告道：上千万用户将无法访问只使用SHA-2签名证书的HTTPS网站。</p>
<p><a href="http://s5.51cto.com/wyfs02/M02/77/D5/wKiom1ZveR_jjCR4AAHnu7meKwI444.jpg-wh_651x-s_601416159.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNzcvRDUvd0tpb20xWnZlUl9qakNSNEFBSG51N21lS3dJNDQ0LmpwZy13aF82NTF4LXNfNjAxNDE2MTU5LmpwZw==.jpg"></a></p>
<p>如果这些网站只使用SHA-2哈希算法进行签名的数字证书，数千万Web用户将再也无法通过HTTPS协议访问这些站点。</p>
<p>该警告来自Facebook和CloudFlare，原因是浏览器厂商在考虑加快老旧又易受攻击的SHA-1函数的退休。</p>
<p>这两家公司已经在他们的站点上部署了支持SHA-1证书的机制，面向的是不支持SHA-2但仍在世界某些地方广泛使用的老版浏览器和操作系统。</p>
<p>这些老旧系统包括Windows XP SP3以前的Windows版本、安卓2.3(姜饼)以前的版本和任何依赖OpenSSL 0.9.8进行加密通信的应用。</p>
<p>SHA-1 (安全散列(哈希)算法1)可追溯至1995年，在2008年研究人员发现用更老的MD5函数进行签名的证书能被伪造之后，就成为了SSL/TLS证书签名的默认选项。</p>
<p>SHA-1本身在理论上也是可被攻破的， 但针对它的攻击可行性依赖于可用的计算能力。2012年，著名密码研究专家布鲁斯·施奈尔估计：如果使用商业云计算服务进行，可行的SHA-1攻击在2015年的成本将达到70万美元，到了2018年可能将耗费17.3万美元，这是在犯罪集团的承受范围之内的。</p>
<p>因此，CA浏览器论坛(CA/B论坛)，一个由证书颁发机构和浏览器厂商组成的数字证书使用和保障指南设置的组织，决定从2016年1月1日起SHA-1签名的证书不应该再被颁发。浏览器厂商也决定，现有SHA-1证书将从2017年1月1日起不再被他们的浏览器所信任——即使浏览器并没有专门设置从那时起将这些证书作废。</p>
<p>然而，在10月份，一组研究人员展示了突破SHA-1的新方法，比之前预期的攻击成本的降低更快了一些。这一事件促使像Mozilla和微软这样的浏览器厂商开始考虑要不要将SHA-1证书在他们产品中的退休时限更提前一些。</p>
<p>为让用户仍能继续访问他们的在线资产，继续使用SHA-1的HTTPS站点主人(大约有100万，包括了流量最大的14万站点中的大约1/6)，便处于要拿到用SHA-2签名的新证书的压力之下了。</p>
<p>不过，CloudFlare的研究人员指出，这一问题的实质，是目前访问HTTPS服务的用户中有1.69%是从不支持SHA-2的浏览器和操作系统访问的。</p>
<p>从百分比上看，这一数字似乎不大，但那可是3.7千万人，而且其中大多数分布在“世界上最穷、最受压迫、最饱受战争蹂躏的国家。”CloudFlare首席执行官马修·普林斯周三在一篇博客文章中说。</p>
<p>根据CloudFlare的数据，SHA-2支持率最低的十大国家是：中国(6.08%)、喀麦隆(5.39%)、也门(5.25%)、苏丹(4.69%)、埃及(4.85%)、利比亚(4.83%)、象牙海岸(4.67%)、尼泊尔(4.52%)、加纳(4.42%)和尼日利亚(4.32%)。前25的国家名单中包括了来自非洲、中东、亚洲和中南美洲的其他国家。</p>
<p>“换句话说，今年12月31号之后，最脆弱的最需要加密保护的那部分互联网用户将被从加密网络中断开。”CloudFlare研究人员称，“而不幸的是，如果我们想再增加20亿互联网用户，他们中的许多人会用二手安卓机上线。因此，这一问题短期内得不到解决。”</p>
<p>Facebook提出了相同的问题，估测当前在用的浏览器中3%~7%不支持SHA-256，也就是SHA-2。</p>
<p>“这些人的分布很不均衡，大部分集中在发展中国家，在这些国家中最有可能的结果就是，希望延伸至目标用户群的政府、公司企业和非政府组织的HTTPS部署遭遇严重的倒退。”Facebook首席安全官阿列克斯·斯塔莫斯在周三发表的一篇博客文章中说。</p>
<p>Facebook已经通过建立基于用户使用的浏览器自动切换证书的机制解决了这个问题。在Facebook的机制下，当代浏览器可以使用SHA-2证书而其他更老版本的浏览器则会收到用SHA-1签名的证书。</p>
<p>这一措施使得浏览器厂商可以继续执行他们在明年取消对SHA-1证书支持的计划，而站点也可以服务那些使用不太可能被升级的老旧设备访问的用户。</p>
<p>Facebook已将其证书切换机制作为Proxygen HTTP库项目的一部分在BSD许可协议下开源了。这意味着其他开发者也能在他们自己的项目和TLS代理中使用这一机制。</p>
<p>运营内容分发网络以优化和保护其客户站点的CloudFlare 为其付费用户启动了自动SHA-1回退服务。如果自己愿意的话，公司和企业客户可以关闭这一功能，高级用户则将在今年年底能够拥有相同的功能。</p>
<p>Facebook和CloudFlare并不是唯一这样做的企业，中国互联网企业阿里巴巴在它的许多网站上也开始回避SHA-1的使用。鉴于中国有数量庞大的互联网用户使用缺乏SHA-2支持的浏览器访问网络，阿里巴巴做出此决策不足为怪。</p>
<p>Facebook和CloudFlare想做得更进一步。他们敦促CA/B论坛建立新的证书类型——遗留验证证书(LV证书)，这类证书中仍可使用SHA-1签名。</p>
<p>这类证书可以在现有SHA-1证书退休日期之后发放给那些能证明自己为当代浏览器使用当代证书和协议而仅仅为遗留浏览器回退到LV证书的组织。</p>
<p>作者：nana</p>
<p>来源：51CTO</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 02:00:51</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%b5%8f%e8%a7%88%e5%99%a8/" title="浏览器">浏览器</a>, <a href="https://www.iamivan.net/tag/%e5%8a%a0%e5%af%86/" title="加密">加密</a>, <a href="https://www.iamivan.net/tag/%e4%ba%92%e8%81%94%e7%bd%91/" title="互联网">互联网</a>, <a href="https://www.iamivan.net/tag/https/" title="HTTPS">HTTPS</a>, <a href="https://www.iamivan.net/tag/%e9%98%bf%e9%87%8c%e5%b7%b4%e5%b7%b4/" title="阿里巴巴">阿里巴巴</a>, <a href="https://www.iamivan.net/tag/%e7%ae%97%e6%b3%95/" title="算法">算法</a>, <a href="https://www.iamivan.net/tag/facebook/" title="Facebook">Facebook</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>SHA-1退休：数千万用户通向加密网站之路被阻的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQNyWz.html" rel="bookmark">阿里workshop北京站丨打造千万用户海量视频网站，不能错过的干货</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				继上海云栖大会上的Workshop之后,有学员反馈&quot;原来以为这些高高在上的技术,被阿里云产品彻底'平民化'了,每个人都能充分享受驾驭技术的快感,希望阿里云能推出更多理论与实践相结合的Workshop.&quot;2周后,即将在8月8日现身京城的北京云栖大会上,一场主题为&lt;打造千万用户海量视频网站&gt;的workshop延续了上次的课程系列.整场课程紧跟市场热点,围绕当前火热的网络视频市场的架构技术,内容设置丰富而紧凑. 进阶版的内容已经上线,让我们提前预览看看有哪些热门课程吧: 从内容上			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDKBBlp.html" rel="bookmark">绿坝项目组解散数千万用户面临技术支持难题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本报讯(记者贾中山)&quot;绿坝挂了!&quot;今天上午,在新浪和搜狐微博上,绿坝成为许多网民讨论的焦点.记者发现,该项目有北京和河南郑州两个项目组,如果郑州项目组解散,国内数千万绿坝用户将面临技术支持难题. 去年在网上引起一场大争论的&quot;绿坝&quot;软件,现在再次成为人们的关注点.目前绿坝花季护航软件北京项目组因经费问题已经关张,所有人员遣散,位于北三环华杰大厦的办公室已经人去楼空.北京大正总经理陈小盟承认,位于华杰大厦的项目办公室确实已经于上月底关闭,将近30多名员工已经遣散. 绿坝			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk7qn5p.html" rel="bookmark">超30省市曝管理漏洞：数千万社保用户信息或泄露</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				社保系统已经成为个人信息泄露&quot;重灾区&quot;.&lt;经济参考报&gt;记者独家获悉,目前重庆.上海.山西.沈阳.贵州.河南等省市卫生和社保系统出现大量高危漏洞,数千万用户的社保信息可能因此被泄露. 记者从补天漏洞响应平台获得的数据显示,目前围绕社保系统.户籍查询系统.疾控中心.医院等大量曝出高危漏洞的省市已经超过30个,仅社保类信息安全漏洞统计就达到5279.4万条,涉及人员数量达数千万,其中包括个人身份证.社保参保信息.财务.薪酬.房屋等敏感信息. 例如,沧州市社保局某系统存在漏洞,27			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNJyeNM.html" rel="bookmark">游戏系列谈之二：游戏何以吸引数千万玩家？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				游戏赏玩与心灵自由 --游戏何以吸引数千万玩家? 一.游戏是什么? 此处谈论之游戏指电子游戏,即在PC.手机.TV终端展示,通过电脑程序讲述一个故事,玩家在故事中扮演某个角色.这样的休闲娱乐方式,显然不同于&quot;击鼓传花&quot;和&quot;石头.剪子.布&quot;等传统游戏. 游戏是项活动,在特定的时空中展开:游戏呈现明显的秩序,遵循广泛接受的规则:游戏的情绪是欢天喜地.手舞足蹈.心旷神怡.游戏的秩序和规则,体现着游戏的教化作用.而游戏带来的欢乐情绪,则体现着游戏的娱乐作用.教化与娱乐是游戏			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40e49z.html" rel="bookmark">传P2P平台积木盒子获数千万美金融资 小米顺为领投</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				9月5日上午消息,据投资圈人士透露,小米顺为将以数千万美元投资P2P平台积木盒子.目前双方已经确定达成合作,但对此消息,小米与积木盒子双方均不予置评,只表示消息最快将于下周公布. 小米董事长雷军曾在接受采访时表示,小米除了粉丝经济.群众路线等互联网模式外,还具有一套独特的金融模式,即小米实现数百亿的营收,不是小米一家公司完成的,而是吸引了大量http://www.aliyun.com/zixun/aggregation/38855.html&quot;&gt;社会资本完成的.这个社会资本不仅指小米的融资,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0RaO6z.html" rel="bookmark">小灵通仅剩千万用户 沦为&OpenCurlyDoubleQuote;皮包公司&rdquo;忽悠利器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近日,据国家工业和信息化部(下简称&quot;工信部&quot;)统计,辉煌时曾在全国拥有近亿用户的小灵通目前仅剩下一千万用户.而据中国电信介绍,目前广州约有数万用户.记者日前调查发现,除了被大量用于公用电话,北上广等国内一线大城市的小灵通号码有不少都被&quot;皮包公司&quot;用作&quot;虚拟办公室号码&quot;.有律师提醒,类似的&quot;小灵通虚拟办公室&quot;很可能隐藏法律风险,很可能被用于诈骗. 现状 用户从1亿降到1千万户 为腾出更多通信频段供3G和4G发展使用,此前国家工信			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL7XXkM.html" rel="bookmark">超级课程表再获数千万美元B轮投资 阿里巴巴领投</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				继去年获红杉领投,策源创投跟投的千万级人民币A轮投资后,超级课程表 CEO 余佳文向36氪证实,超级课程表团队近日又获得了数千万美元的 B 轮投资.此轮投资由http://www.aliyun.com/zixun/aggregation/7554.html&quot;&gt;阿里巴巴集团领投,红杉资本以及策源创投继续参投. 超级课程表(Android / iOS/ WP)是一款能对接高校教务系统,帮助大学生快速录入课表至手机的工具类应用.据了解,目前该应用的用户数已超过一千万,平均日活跃用户达 200 多			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxYBnBp.html" rel="bookmark">Expedia增资酷讯至数千万美元 加速4公司整合</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				垂直旅游网站酷讯CEO张海军今日证实,在去年被美国http://www.aliyun.com/zixun/aggregation/1559.html&quot;&gt;Expedia全资收购后,酷讯有望进一步获得追加投资. 据了解,Expedia是全球最大的在线旅游公司,是携程最大的竞争对手.09年10月全资收购酷讯后,在中国控制的企业包括e龙网.到到网.酷讯网和Egencia,其业务范围涉及旅行预订.用户评论.垂直搜索.商务旅行等多个领域. 张海军今日在接受腾讯科技专访时透露,酷讯在被收购以后,已经被合			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrqwL1b.html" rel="bookmark">蜂巢科技获数千万A轮融资，工业无人机行业的黑马？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				北京时间2017年10月9日,北京蜂巢农科科技有限责任公司(简称:蜂巢科技)宣布完成6200万元人民币的A轮融资,由同渡资本领投.今年3月,蜂巢科技宣布获得京东.戈壁创投和甬港无咖合投的数千万元人民币pre-A轮融资.这家&quot;神秘低调&quot;的初创型科技公司首次公开最新的融资情况,这也是今年工业级无人机行业内为数不多宣布获得融资的企业之一. 在无人机行业的寒冬中起飞 蜂巢科技成立于2015年10月,是一家专注于工业无人机系统及整机研发.提供无人机行业解决方案的高科技企业,目前主要聚焦于无人机在			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qba64wM.html" rel="bookmark" class="title">对象序列化反序列化例子</a>
					<div>
						using System; using System.IO; using System.Xml.Serialization; [Serializable] public class Model { p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boBZdz.html" rel="bookmark" class="title">树型结构列出指定目录里所有文件的PHP类</a>
					<div>
						&lt;? //以树型结构列出指定目录里的所有文件,如果你想知道自己某个目录里有哪些子目录和文件,可以调用这个类来查看,很方便的.     # 演示的例子:     $t = new TreeClim ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1Z3xp.html" rel="bookmark" class="title">谈seo做法转型的心得体会</a>
					<div>
						2012年下半年对于站长们绝对不是平凡的一年,先是百度的几次算法的更新,K站,降权,打的站长措手不及,一些站长受不了百度的煎熬,默默地离开,一些站长默默的忍受下来思考以后seo的路该怎么走.对于百度而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx7Q0b.html" rel="bookmark" class="title">3M解决方案全面应用于中国电信FTTH试点项目</a>
					<div>
						FTTH作为整个电信网接入部分的最终发展目标,已成为关系各电信运营商未来网络和技术业务转型的重要领域,为此中国电信已从去年开始在上海.广东.湖北.北京四地开展有计划的FTTH试点,以便为将来的规模商用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl4Eoz.html" rel="bookmark" class="title">拒当电脑菜鸟 靠Windows 7电脑摆脱困境</a>
					<div>
						很多朋友由于对电脑不是太熟悉,被人称之为菜鸟也是意料之中的事情了,没 办法谁让我们电脑出了问题只能四处求助于人呢!其实我们可以慢慢摆脱这种尴 尬境地,毕竟现在是Windows7时代了,没有什么不可以! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNJElb.html" rel="bookmark" class="title">趣味编程：C&num;中Specification模式的实现（参考答案</a>
					<div>
						上一篇文章中我们利用C#语言的特性实现了一种轻量级的Specification模式,它的关键在于抛弃了具体的Specification类型,而是使用一个委托对象代替唯一关键的IsSatisfiedBy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYwJXb.html" rel="bookmark" class="title">更改Win8&period;1中Skydrive 的存储位置</a>
					<div>
						  Windows 8.1中将Skydrive和系统进行了深度整合,但总有人不喜欢微软给设置的&quot;默认位置&quot;.那么,只需下面简单的几步,就可以更改Win8.1中Skydrive的存储 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZwD7z.html" rel="bookmark" class="title">PS画笔的使用及设置技巧解析</a>
					<div>
						  现在我们按下[B]从工具栏选择画笔工具,如果选中了铅笔就[SHIFT B]切换到画笔.然后按下[D],它的作用是将颜色设置为默认的前景黑色.背景白色.也可以点击工具栏颜色区的默认按钮(下左图红色箭 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKk48Ob.html" rel="bookmark" class="title">Win7系统开机蓝屏提示错误代码0x00000024的故障分析及解决方法</a>
					<div>
						  win7系统出现蓝屏现象属于常见故障之一,相信大部分用户都有遇见过,导致win7旗舰版64位系统开机出现蓝屏的原因有很多种,蓝屏故障多种多样,所以解决方法也是不一样的.一般win7用户主要根据蓝屏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBD08z.html" rel="bookmark" class="title">如何获取MindManager免费试用版本</a>
					<div>
						  购买MindManager软件之前,您可以先免费试用.如何获取MindManager免费试用版本?根据如下步骤可以成功获得MindManager免费试用. 1. 进入MindManager中文版下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXj1elb.html" rel="bookmark" class="title">U盘实际容量是如何计算的</a>
					<div>
						  新买的一个8G U盘,插在电脑上显示的容量只有7点几G,也只能复制7点几G的文件过去,是不是购买到的是虚标的U盘呢?其实,这个结论应该是不正确的,还是要看具体问题,下面就给您来分析一下吧: 因为U ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eKnob.html" rel="bookmark" class="title">【反传销】传销故事总结&mdash;如何尽可能保护自身和家人安全</a>
					<div>
						本博客所有文章分类的总目录:http://www.cnblogs.com/asxinyu/p/4288836.html       日常工具与其它文章目录:http://www.cnblogs.com ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NNBBz.html" rel="bookmark" class="title">android点击消除当前item界面，然后在另一个listView的item中显示</a>
					<div>
						问题描述 android点击消除当前item界面,然后在另一个listView的item中显示 android 中点击listview的Item中按钮后在当前listview中消除,并且传到另外一个l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZNNKb.html" rel="bookmark" class="title">dom-jQuery的Dom操作问题问题问题问题</a>
					<div>
						问题描述 jQuery的Dom操作问题问题问题问题 $(this).nextAll().find(&quot;&quot;iframe&quot;&quot;).remove();$(this).ne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Yv8rM.html" rel="bookmark" class="title">spring-security3&period;2&period;5实现中国式安全管理&lpar;转&rpar;</a>
					<div>
						  最近公司要做开发平台,对安全要求比较高:SPRING SECURTIY框架刚好对所有安全问题都有涉及,框架的作者最近还做了spring-session项目实现分布式会话管理,还有他的另一个开源项目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrAPrM.html" rel="bookmark" class="title">android 什么时候出短视频和即时视频通讯？</a>
					<div>
						问题描述 如题?现在android端貌似还没有出短视频和即时视频通讯?  在开发文档中没有看到相关介绍. 解决方案 环信安卓sdk早就支持实时音视频了,文档上关于视频这块没有给出具体介绍说明,你可以下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZZqWM.html" rel="bookmark" class="title">&lbrack;MySQL Bug&rsqb;bug&num;66301&lpar;Percona Bug&num;1035225&rpar;简析</a>
					<div>
						----------- 先跑test case 1.创建测试表 CREATE TABLE t(        id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgDDkb.html" rel="bookmark" class="title">背水一战 Windows 10 &lpar;36&rpar; - 控件（弹出类）&colon; ToolTip&comma; Popup&comma; PopupMenu</a>
					<div>
						原文:背水一战 Windows 10 (36) - 控件(弹出类): ToolTip, Popup, PopupMenu [源码下载] 背水一战 Windows 10 (36) - 控件(弹出类):  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mydy6Jb.html" rel="bookmark" class="title">求两个字符串中的最大相同子串 SubString</a>
					<div>
						package com.itcast.base; public class SubStringTest { public static void main(String[] args) {  Stri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmoJ6b.html" rel="bookmark" class="title">同构关系：大数据的数理哲学基础</a>
					<div>
						过去,人们认为人类与动物区别于劳动.但实际上,动物也有作用于物质世界的类似劳动的活动.因此,如何看待数据才是是否拥有智力的本质特征只有人类才能认识事物的数与结构关系,并定量地.合目的地作用于对象. 在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rWZdp.html" rel="bookmark" class="title">网吧计时收费系统的数据库如何设计阿？</a>
					<div>
						问题描述 我是要用C#2005winForm+sql2005开发一个网吧计时收费系统,但是现在我不知道如何设计数据库哪位大哥帮个忙阿(数据库至少五张表) 解决方案 解决方案二:网上有好多例子呢,下载下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBmnqz.html" rel="bookmark" class="title">图解css5：核心技术与案例实战&period; 1&period;2　浏览器对CSS3的支持状况</a>
					<div>
						1.2 浏览器对CSS3的支持状况 CSS3给我们带来众多全新的设计体验,但有一个问题值得考虑--浏览器对CSS3特性的支持情况如何?因为页面最终离不开浏览器来渲染,并不是所有浏览器都完全支持CSS3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBjV1z.html" rel="bookmark" class="title">保险领域网络安全形势最严峻</a>
					<div>
						互联网时代,社会系统的正常运转严重依赖网络,一旦发生网络攻击,整个社会系统将陷入瘫痪而无法运作. 比如在今年5月爆发的勒索病毒攻击事件中,据报道,全球有150多个国家和地区超过20万台电脑受到影响,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn8V9M.html" rel="bookmark" class="title">jquery解决冲突办法</a>
					<div>
						问题描述 &lt;head&gt;&lt;title&gt;&lt;/title&gt;&lt;scripttype=&quot;text/javascript&quot;src=&quot;jque ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmB9KDz.html" rel="bookmark" class="title">如果使用环信自带的UI 我怎么自定义一个聊天气泡</a>
					<div>
						问题描述 解决方案 UIdemo是完全开源的,您可以按您自己的需求去更改解决方案二:自定义布局,判断消息类型和状态根据对应的显示					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8LmNp.html" rel="bookmark" class="title">Js 实现表格隔行换色一例&lowbar;javascript技巧</a>
					<div>
						2006年 2007年 2008年 2009年 总 4 2 56 43 10 4 10 10 10 76 10 9 总 10 10 10 10 2 10 12 10 10 10 10 10 总 10  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmWa1z.html" rel="bookmark" class="title">php 字符串中的&bsol;n换行符无效、不能换行的解决方法&lowbar;php实例</a>
					<div>
						例如下面的代码: 复制代码 代码如下: &lt;?phpecho 'hello\n';echo 'world';?&gt; 程序的中的换行符\n会直接输出,无法正确换行,解决方法是把单引号改为双引号: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEZNAz.html" rel="bookmark" class="title">Android消息推送：手把手教你集成小米推送&lpar;附demo&rpar;&lowbar;Android</a>
					<div>
						前言 在Android开发中,消息推送功能的使用非常常见. 为了降低开发成本,使用第三方推送是现今较为流行的解决方案. 今天,我将手把手教大家如何在你的应用里集成小米推送 目录 1. 官方Demo解析 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1V4Gb.html" rel="bookmark" class="title">js修改onclick动作的四种方法&lpar;推荐&rpar;&lowbar;javascript技巧</a>
					<div>
						第一种:button.onclick = Function(&quot;alert('hello');&quot;); 第二种:button.onclick = function(){alert(&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLeK3M.html" rel="bookmark" class="title">基于python发送邮件的乱码问题的解决办法&lowbar;php技巧</a>
					<div>
						公司项目中需要通过后台发送邮件,邮件内容包括图片附件.如果通过PHPmailer发送,由于邮件服务器可能存在延迟现象,通过PHPmailer发送邮件,需要等待邮件发送成功后才能返回结果,这在实践中证明 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
